-- phpMyAdmin SQL Dump
-- version 4.2.7.1
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: Jan 13, 2015 at 11:21 AM
-- Server version: 5.6.20
-- PHP Version: 5.5.15

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `proiect_restaurant`
--
CREATE DATABASE IF NOT EXISTS `proiect_restaurant` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
USE `proiect_restaurant`;

DELIMITER $$
--
-- Procedures
--
CREATE DEFINER=`root`@`localhost` PROCEDURE `adaugare_angajat`(IN `idpers` INT, IN `nume` VARCHAR(45), IN `prenume` VARCHAR(45), IN `telefon` VARCHAR(45), IN `datanasterii` DATE, IN `salar` DOUBLE, IN `prima` DOUBLE, IN `localitate` VARCHAR(45), IN `strada` VARCHAR(45), IN `apartament` VARCHAR(45))
    MODIFIES SQL DATA
begin
start transaction;
set @lastidangajat = null;
    
    insert into angajat(salarAngajat, primaAngajat) values(salar, prima);
    select @lastidangajat := last_insert_id();
    
	if not(idpers is null) and idpers <> '' then
   	begin
    	update persoana set persoana.idAngajat = @lastidangajat where persoana.idPersoana = idpers;
    end;
    else
    begin
    	insert into adresa(localitate, strada, apartament) values(localitate, strada, apartament);
        set @lastidadresa = null;
        select @lastidadresa := last_insert_id();
    	insert into persoana(numePersoana, prenumePersoana, telefonPersoana, dataNasterePersoana, idAdresa, idAngajat)
        values(
            nume, prenume, telefon, datanasterii, @lastidadresa, @lastidangajat); 
    end;
    end if;
   commit;
   end$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `adaugare_client`(IN `idpers` INT, IN `nume` VARCHAR(45), IN `prenume` VARCHAR(45), IN `telefon` VARCHAR(45), IN `datanastere` DATE, IN `numeutilizator` VARCHAR(45), IN `parola` VARCHAR(45), IN `localitate` VARCHAR(45), IN `strada` VARCHAR(45), IN `apartament` VARCHAR(45))
begin
start transaction;
	if(not(numeutilizator is NULL or parola is NULL)) then
    begin
	insert into utilizator(numeUtilizator, parolaUtilizator) values(numeutilizator, parola);
    insert into client(idUtilizator) values(last_insert_id());
    end;
    else
    insert into client(idUtilizator) values(NULL);
    end if;
    
	set @lastidclient = null;
	select @lastidclient := last_insert_id();
        
    if not(idpers is null) then
	begin
		update persoana set idClient = @lastidclient where idPersoana = idpers;
	end;
    else
    begin    
		insert into adresa(localitate, strada, apartament) values(localitate, strada, apartament);
		set @lastidadresa = null;
		select @lastidadresa := last_insert_id();
		insert into persoana(idClient, idAdresa, numePersoana, prenumePersoana, telefonPersoana, dataNasterePersoana) 
			values(@lastidclient, @lastidadresa, nume, prenume, telefon, datanastere);
	end;
    end if;
commit;
end$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `adaugare_ospatar`(in idangajat int, in idpers int, nume varchar(45), prenume varchar(45),
									telefon varchar(45), datanasterii varchar(45), salar double, prima double, 
                                    localitate varchar(45), strada varchar(45), apartament varchar(45), bonus double)
BEGIN
	insert into ospatar(bonusOspatar) values(bonus);
    set @lastidospatar = null;
    select @lastidospatar := last_insert_id();
	-- set @lastidangajat = 0;
    
	-- trebuie sa adaugam angajat
	if idangajat is null then
    begin
		CALL `proiect_restaurant`.`adaugare_angajat`(idpers, nume, prenume, telefon, datanasterii, 
					salar, prima, localitate, strada, apartament);
		-- select @lastidangajat := max(idAngajat) from angajat;
		update angajat set angajat.idOspatar = @lastidospatar where angajat.idAngajat = @lastidangajat;
    end;
    else
    -- exista angajat cu idangajat, trebuie sa actualizam acel angajat
    begin
		update angajat set angajat.idOspatar = last_insert_id() where angajat.idAngajat = idangajat;
    end;
    end if;
END$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `marire_salar`(IN `x` INT)
BEGIN
update angajat
set salarangajat=salarangajat+salarangajat+x/100
where not( idangajat is null);
END$$

DELIMITER ;

-- --------------------------------------------------------

--
-- Table structure for table `adresa`
--

CREATE TABLE IF NOT EXISTS `adresa` (
`idAdresa` int(11) NOT NULL,
  `localitate` varchar(45) NOT NULL,
  `strada` varchar(45) NOT NULL,
  `apartament` varchar(45) DEFAULT NULL
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=26 ;

--
-- Dumping data for table `adresa`
--

INSERT INTO `adresa` (`idAdresa`, `localitate`, `strada`, `apartament`) VALUES
(3, 'cluj', 'zorilor', '34'),
(4, 'cluj', 'observatorului 34', NULL),
(5, 'cluj', 'observatorului 34', NULL),
(6, 'cluj', 'asd 33', NULL),
(7, 'cluj', 'asd 33', NULL),
(8, 'cluj', 'asd 33', NULL),
(9, 'cluj', 'asd 33', NULL),
(10, 'cluj', 'asd 33', NULL),
(11, 'cluj', 'asd 33', NULL),
(12, '', '', ''),
(13, '', '', ''),
(14, 'asd', 'dsa', ''),
(15, 'asd', 'dsa', ''),
(16, 'Cluj-Napoca', 'Rozelor 22', '5A'),
(17, 'Brasov', 'Rozelor 52', ''),
(18, 'Sighisoara', 'Gh. Baritiu 55', ''),
(19, 'Cluj', 'Observatorului 34', NULL),
(20, 'Baia Mare', 'LOL 34 WTF', NULL),
(21, 'asd', 'dsa', NULL),
(22, 'asd', 'dsa', 'dsa'),
(23, 'asd', 'dsa', 'dsa'),
(24, 'Sighet', 'Simion Barnutiu 33', NULL),
(25, 'Cluj', 'Observatorului 33', '2A');

-- --------------------------------------------------------

--
-- Table structure for table `angajat`
--

CREATE TABLE IF NOT EXISTS `angajat` (
`idAngajat` int(11) NOT NULL,
  `salarAngajat` double NOT NULL,
  `primaAngajat` double NOT NULL,
  `idOspatar` int(11) DEFAULT NULL
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=27 ;

--
-- Dumping data for table `angajat`
--

INSERT INTO `angajat` (`idAngajat`, `salarAngajat`, `primaAngajat`, `idOspatar`) VALUES
(1, 500, 200, 1),
(9, 0, 0, NULL),
(23, 500, 20, 10),
(24, 500, 200, NULL),
(25, 600, 200, NULL),
(26, 500, 100, 11);

-- --------------------------------------------------------

--
-- Table structure for table `client`
--

CREATE TABLE IF NOT EXISTS `client` (
`idClient` int(11) NOT NULL,
  `idUtilizator` int(11) DEFAULT NULL
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=31 ;

--
-- Dumping data for table `client`
--

INSERT INTO `client` (`idClient`, `idUtilizator`) VALUES
(6, NULL),
(23, NULL),
(28, NULL),
(21, 11),
(25, 12),
(26, 13),
(27, 14),
(29, 15);

-- --------------------------------------------------------

--
-- Table structure for table `comanda`
--

CREATE TABLE IF NOT EXISTS `comanda` (
`idComanda` int(11) NOT NULL,
  `dataComanda` datetime NOT NULL,
  `reducereComanda` double NOT NULL,
  `puncteComanda` int(11) NOT NULL,
  `idClient` int(11) NOT NULL,
  `idOspatar` int(11) NOT NULL
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=54 ;

--
-- Dumping data for table `comanda`
--

INSERT INTO `comanda` (`idComanda`, `dataComanda`, `reducereComanda`, `puncteComanda`, `idClient`, `idOspatar`) VALUES
(27, '2015-01-10 00:05:19', 0, 0, 11, 6),
(28, '2015-01-10 00:07:35', 0, 0, 11, 6),
(29, '2015-01-10 00:08:13', 0, 0, 11, 6),
(30, '2015-01-10 00:11:36', 0, 0, 11, 6),
(31, '2015-01-10 00:11:57', 0, 0, 11, 6),
(32, '2015-01-10 00:15:01', 0, 0, 11, 6),
(34, '2015-01-10 00:15:39', 0, 0, 11, 6),
(35, '2015-01-10 00:20:54', 0, 0, 11, 6),
(37, '2015-01-10 00:27:16', 0, 0, 11, 6),
(38, '2015-01-10 00:27:52', 0, 0, 11, 6),
(41, '2015-01-10 00:35:10', 0, 0, 11, 6),
(42, '2015-01-10 00:36:46', 0, 0, 11, 6),
(43, '2015-01-10 00:39:23', 0, 0, 11, 3),
(44, '2015-01-10 10:22:16', 0, 0, 12, 3),
(48, '2015-01-11 12:46:10', 0, 20, 12, 3),
(49, '2015-01-11 12:51:49', 0, 18, 12, 3),
(50, '2015-01-11 12:53:12', 0, 0, 12, 3),
(51, '2015-01-11 12:56:21', 0, 0, 13, 14),
(52, '2015-01-11 13:09:16', 0, 0, 13, 14);

--
-- Triggers `comanda`
--
DELIMITER //
CREATE TRIGGER `bonus` AFTER INSERT ON `comanda`
 FOR EACH ROW BEGIN

update ospatar 
set bonusospatar=bonusospatar+1
where idospatar in
( select idospatar from angajat where idangajat in
(select idangajat from persoana where idpersoana in
( select idospatar from comanda where dataComanda>=(CURRENT_TIMESTAMP - INTERVAL 5 day_second))));
END
//
DELIMITER ;

-- --------------------------------------------------------

--
-- Table structure for table `coscomanda`
--

CREATE TABLE IF NOT EXISTS `coscomanda` (
  `idComanda` int(11) NOT NULL,
  `idProdus` int(11) NOT NULL,
  `cantitate` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `coscomanda`
--

INSERT INTO `coscomanda` (`idComanda`, `idProdus`, `cantitate`) VALUES
(31, 2, 2),
(32, 1, 1),
(34, 1, 1),
(35, 1, 1),
(37, 4, 1),
(38, 2, 1),
(41, 6, 1),
(41, 14, 1),
(41, 15, 1),
(43, 1, 1),
(43, 16, 1),
(44, 1, 1),
(44, 6, 1),
(44, 13, 4),
(44, 16, 2),
(48, 2, 1),
(49, 3, 1),
(50, 6, 1),
(51, 2, 1),
(51, 12, 1),
(51, 16, 2),
(51, 17, 1),
(52, 6, 1);

-- --------------------------------------------------------

--
-- Table structure for table `ingredient`
--

CREATE TABLE IF NOT EXISTS `ingredient` (
`idIngredient` int(11) NOT NULL,
  `numeIngredient` varchar(45) NOT NULL,
  `cantitateIngredient` int(11) NOT NULL,
  `aprovizionareIngredient` date DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Triggers `ingredient`
--
DELIMITER //
CREATE TRIGGER `actualizare_necesar` AFTER UPDATE ON `ingredient`
 FOR EACH ROW BEGIN

insert into proiect_restaurant.necesar(idingredient,numeingredient)
  select idingredient,numeingredient from ingredient where cantitateIngredient<5 and idIngredient not in (select idingredient from necesar);
  
  DELETE FROM proiect_restaurant.necesar
   where  idingredient in(select idingredient from ingredient where cantitateIngredient>5) ;
END
//
DELIMITER ;

-- --------------------------------------------------------

--
-- Table structure for table `ospatar`
--

CREATE TABLE IF NOT EXISTS `ospatar` (
`idOspatar` int(11) NOT NULL,
  `bonusOspatar` double NOT NULL
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=12 ;

--
-- Dumping data for table `ospatar`
--

INSERT INTO `ospatar` (`idOspatar`, `bonusOspatar`) VALUES
(1, 2),
(10, 2),
(11, 1);

-- --------------------------------------------------------

--
-- Table structure for table `persoana`
--

CREATE TABLE IF NOT EXISTS `persoana` (
`idPersoana` int(11) NOT NULL,
  `numePersoana` varchar(45) NOT NULL,
  `prenumePersoana` varchar(45) NOT NULL,
  `telefonPersoana` varchar(45) DEFAULT NULL,
  `dataNasterePersoana` date DEFAULT NULL,
  `idAdresa` int(11) NOT NULL,
  `idAngajat` int(11) DEFAULT NULL,
  `idClient` int(11) DEFAULT NULL
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=15 ;

--
-- Dumping data for table `persoana`
--

INSERT INTO `persoana` (`idPersoana`, `numePersoana`, `prenumePersoana`, `telefonPersoana`, `dataNasterePersoana`, `idAdresa`, `idAngajat`, `idClient`) VALUES
(3, 'Pop', 'ion', 'NULL', '0000-00-00', 3, 23, NULL),
(4, 'pop', 'gigel', NULL, '2014-12-30', 4, 9, NULL),
(5, 'pop', 'gigel', NULL, '2014-12-30', 5, NULL, 6),
(6, 'Tomberon', 'vasile', '081238833', '2014-12-30', 6, NULL, 23),
(9, 'pop', 'vasile', '081238833', '2014-12-30', 9, NULL, 25),
(11, 'pop', 'vasile', '081238833', '2014-12-30', 11, 25, 27),
(12, 'Ureche', 'Grigore', NULL, NULL, 19, 24, 21),
(13, 'Geiszt', 'Attila', '0724588877', '1994-12-04', 24, NULL, 29),
(14, 'Vasilache', 'Georgeta', '0722339955', '1985-12-06', 25, 26, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `produs`
--

CREATE TABLE IF NOT EXISTS `produs` (
`idProdus` int(11) NOT NULL,
  `numeProdus` varchar(45) NOT NULL,
  `pretProdus` double NOT NULL,
  `descriereProdus` varchar(45) NOT NULL,
  `categorieProdus` varchar(45) NOT NULL,
  `greutateProdus` int(11) NOT NULL
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=20 ;

--
-- Dumping data for table `produs`
--

INSERT INTO `produs` (`idProdus`, `numeProdus`, `pretProdus`, `descriereProdus`, `categorieProdus`, `greutateProdus`) VALUES
(1, 'Meniu cascaval', 15, 'cascaval, salata asortata, cartofi prajiti sa', 'Meniuri', 540),
(2, 'Meniu mixt cascaval', 18, '2 bucati cascaval, 4 bucati piept de pui croc', 'Meniuri', 490),
(3, 'Meniu gratar', 18, '1 ceafa porc, 2 buc piept de pui, cartofi pra', 'Meniuri', 650),
(4, 'Meniu mixt', 18, '3 buc. piept pui crocant, 1 buc. pulpa pui, 2', 'Meniuri', 490),
(5, 'Portie gratar ceafa porc', 13, '3buc. ceafa de porc, salata asortata de varza', 'Portii', 500),
(6, 'Portie gratar piept pui', 10, '3buc. piept pui, salata asortata de varza (sa', 'Portii', 400),
(7, 'Portie cascaval', 11, '3buc. cascaval, salata asortata de varza (sal', 'Portii', 400),
(8, 'Portie pulpe de pui', 9, '3buc. pulpe pui crocant, salata (salata icebe', 'Portii', 340),
(9, 'Shaorma la farfurie cu pui crocant', 13, 'piept de pui crocant, cartofi prajiti, salata', 'Shaorma', 550),
(10, 'Shaorma Mare la lipie cu pui crocant', 12, 'piept de pui crocant, cartofi prajiti, salata', 'Shaorma', 550),
(11, 'Salata Bigfresh', 14, 'mixt salata, rosii cherry, masline, branza fe', 'Salate', 350),
(12, 'Salata Bigfresh cu speck', 17, 'mixt salata, rosii cherry, masline, branza fe', 'Salate', 400),
(13, 'Salata Bigfresh cu piept de pui la gratar', 17, 'mixt salata, rosii cherry, masline, cascaval,', 'Salate', 400),
(14, 'Salata Bigfresh cu ton', 17, 'mix salata, rosii cherry, masline, branza fet', 'Salate', 400),
(15, 'Salata cu pui crocant', 16, 'piept de pui crocant, telemea, cascaval, arde', 'Salate', 550),
(16, 'Cappucino', 4, 'cafea cu spuma de lapte', 'Cafea', 175),
(17, 'Cappucino Vienez', 4.5, 'cafea cu frisca', 'Cafea', 175),
(18, '', 0, '', '', 0),
(19, '', 0, '', '', 0);

-- --------------------------------------------------------

--
-- Table structure for table `produshasingredient`
--

CREATE TABLE IF NOT EXISTS `produshasingredient` (
  `idProdus` int(11) NOT NULL,
  `idIngredient` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Stand-in structure for view `topproduse`
--
CREATE TABLE IF NOT EXISTS `topproduse` (
`idProdus` int(11)
,`numeProdus` varchar(45)
,`consumatie` decimal(32,0)
);
-- --------------------------------------------------------

--
-- Table structure for table `utilizator`
--

CREATE TABLE IF NOT EXISTS `utilizator` (
`idUtilizator` int(11) NOT NULL,
  `numeUtilizator` varchar(45) NOT NULL,
  `parolaUtilizator` varchar(45) NOT NULL,
  `puncteUtilizator` int(11) NOT NULL
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=18 ;

--
-- Dumping data for table `utilizator`
--

INSERT INTO `utilizator` (`idUtilizator`, `numeUtilizator`, `parolaUtilizator`, `puncteUtilizator`) VALUES
(4, 'gigel', '8287458823facb8ff918dbfabcd22ccb', 100),
(7, 'asddsa', 'dsa', 200),
(9, 'gigi-rechinu', 'd69e2bda7685c595824b3e3a5ac12abb', 0),
(10, 'alina.georgescu', 'f614be5c658acd76f5c71592b6ec09e6', 0),
(11, 'asd', '5f039b4ef0058a1d652f13d612375a5b', 282),
(12, 'grigore.moldoveanul', 'ecad57ce1967cafdb33c299a806814e2', 0),
(13, 'grigo', '912ec803b2ce49e4a541068d495ab570', 0),
(14, 'lol', '912ec803b2ce49e4a541068d495ab570', 0),
(15, 'attila.geiszt', '8287458823facb8ff918dbfabcd22ccb', 0);

-- --------------------------------------------------------

--
-- Stand-in structure for view `utilizatori_fideli`
--
CREATE TABLE IF NOT EXISTS `utilizatori_fideli` (
`IdClient` int(11)
,`numePersoana` varchar(45)
,`prenumePersoana` varchar(45)
,`telefonPErsoana` varchar(45)
);
-- --------------------------------------------------------

--
-- Structure for view `topproduse`
--
DROP TABLE IF EXISTS `topproduse`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `topproduse` AS select distinct `produs`.`idProdus` AS `idProdus`,`produs`.`numeProdus` AS `numeProdus`,sum(`coscomanda`.`cantitate`) AS `consumatie` from (`coscomanda` join `produs` on((`coscomanda`.`idProdus` = `produs`.`idProdus`))) where `coscomanda`.`idComanda` in (select `comanda`.`idComanda` from `comanda` where (`comanda`.`dataComanda` >= (curdate() - interval 1 month))) group by `coscomanda`.`idProdus` order by `consumatie` desc;

-- --------------------------------------------------------

--
-- Structure for view `utilizatori_fideli`
--
DROP TABLE IF EXISTS `utilizatori_fideli`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `utilizatori_fideli` AS select `persoana`.`idClient` AS `IdClient`,`persoana`.`numePersoana` AS `numePersoana`,`persoana`.`prenumePersoana` AS `prenumePersoana`,`persoana`.`telefonPersoana` AS `telefonPErsoana` from `persoana` where `persoana`.`idClient` in (select `client`.`idClient` from `client` where `client`.`idUtilizator` in (select `utilizator`.`idUtilizator` from `utilizator` where (`utilizator`.`puncteUtilizator` > 100)));

--
-- Indexes for dumped tables
--

--
-- Indexes for table `adresa`
--
ALTER TABLE `adresa`
 ADD PRIMARY KEY (`idAdresa`);

--
-- Indexes for table `angajat`
--
ALTER TABLE `angajat`
 ADD PRIMARY KEY (`idAngajat`), ADD KEY `fk_Angajat_Ospatar1_idx` (`idOspatar`);

--
-- Indexes for table `client`
--
ALTER TABLE `client`
 ADD PRIMARY KEY (`idClient`), ADD UNIQUE KEY `utilizator_idutilizator_UNIQUE` (`idUtilizator`), ADD KEY `fk_Client_utilizator1_idx` (`idUtilizator`);

--
-- Indexes for table `comanda`
--
ALTER TABLE `comanda`
 ADD PRIMARY KEY (`idComanda`), ADD KEY `fk_Ospatar_idx` (`idOspatar`), ADD KEY `fk_Client_idx` (`idClient`);

--
-- Indexes for table `coscomanda`
--
ALTER TABLE `coscomanda`
 ADD PRIMARY KEY (`idComanda`,`idProdus`), ADD KEY `fk_Comanda_has_Produs_Produs1_idx` (`idProdus`), ADD KEY `fk_Comanda_has_Produs_Comanda1_idx` (`idComanda`);

--
-- Indexes for table `ingredient`
--
ALTER TABLE `ingredient`
 ADD PRIMARY KEY (`idIngredient`);

--
-- Indexes for table `ospatar`
--
ALTER TABLE `ospatar`
 ADD PRIMARY KEY (`idOspatar`);

--
-- Indexes for table `persoana`
--
ALTER TABLE `persoana`
 ADD PRIMARY KEY (`idPersoana`), ADD UNIQUE KEY `idAngajat` (`idAngajat`), ADD UNIQUE KEY `idClient` (`idClient`), ADD UNIQUE KEY `idClient_2` (`idClient`), ADD KEY `fk_Persoana_Adresa1_idx` (`idAdresa`), ADD KEY `fk_Persoana_Angajat1_idx` (`idAngajat`), ADD KEY `fk_Persoana_Client1_idx` (`idClient`);

--
-- Indexes for table `produs`
--
ALTER TABLE `produs`
 ADD PRIMARY KEY (`idProdus`);

--
-- Indexes for table `produshasingredient`
--
ALTER TABLE `produshasingredient`
 ADD PRIMARY KEY (`idProdus`,`idIngredient`), ADD KEY `fk_Produs_has_Ingredient_Ingredient1_idx` (`idIngredient`), ADD KEY `fk_Produs_has_Ingredient_Produs1_idx` (`idProdus`);

--
-- Indexes for table `utilizator`
--
ALTER TABLE `utilizator`
 ADD PRIMARY KEY (`idUtilizator`), ADD UNIQUE KEY `numeUtilizator` (`numeUtilizator`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `adresa`
--
ALTER TABLE `adresa`
MODIFY `idAdresa` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=26;
--
-- AUTO_INCREMENT for table `angajat`
--
ALTER TABLE `angajat`
MODIFY `idAngajat` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=27;
--
-- AUTO_INCREMENT for table `client`
--
ALTER TABLE `client`
MODIFY `idClient` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=31;
--
-- AUTO_INCREMENT for table `comanda`
--
ALTER TABLE `comanda`
MODIFY `idComanda` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=54;
--
-- AUTO_INCREMENT for table `ingredient`
--
ALTER TABLE `ingredient`
MODIFY `idIngredient` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `ospatar`
--
ALTER TABLE `ospatar`
MODIFY `idOspatar` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=12;
--
-- AUTO_INCREMENT for table `persoana`
--
ALTER TABLE `persoana`
MODIFY `idPersoana` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=15;
--
-- AUTO_INCREMENT for table `produs`
--
ALTER TABLE `produs`
MODIFY `idProdus` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=20;
--
-- AUTO_INCREMENT for table `utilizator`
--
ALTER TABLE `utilizator`
MODIFY `idUtilizator` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=18;
--
-- Constraints for dumped tables
--

--
-- Constraints for table `angajat`
--
ALTER TABLE `angajat`
ADD CONSTRAINT `fk_Angajat_Ospatar1` FOREIGN KEY (`idOspatar`) REFERENCES `ospatar` (`idOspatar`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `client`
--
ALTER TABLE `client`
ADD CONSTRAINT `fk_Client_utilizator1` FOREIGN KEY (`idUtilizator`) REFERENCES `utilizator` (`idUtilizator`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `comanda`
--
ALTER TABLE `comanda`
ADD CONSTRAINT `fk_Client` FOREIGN KEY (`idClient`) REFERENCES `persoana` (`idPersoana`) ON UPDATE CASCADE,
ADD CONSTRAINT `fk_Ospatar` FOREIGN KEY (`idOspatar`) REFERENCES `persoana` (`idPersoana`) ON UPDATE CASCADE;

--
-- Constraints for table `coscomanda`
--
ALTER TABLE `coscomanda`
ADD CONSTRAINT `fk_Comanda_has_Produs_Comanda1` FOREIGN KEY (`idComanda`) REFERENCES `comanda` (`idComanda`) ON UPDATE NO ACTION,
ADD CONSTRAINT `fk_Comanda_has_Produs_Produs1` FOREIGN KEY (`idProdus`) REFERENCES `produs` (`idProdus`) ON UPDATE CASCADE;

--
-- Constraints for table `persoana`
--
ALTER TABLE `persoana`
ADD CONSTRAINT `fk_Persoana_Adresa1` FOREIGN KEY (`idAdresa`) REFERENCES `adresa` (`idAdresa`) ON DELETE CASCADE ON UPDATE CASCADE,
ADD CONSTRAINT `fk_Persoana_Angajat1` FOREIGN KEY (`idAngajat`) REFERENCES `angajat` (`idAngajat`) ON DELETE CASCADE ON UPDATE CASCADE,
ADD CONSTRAINT `fk_Persoana_Client1` FOREIGN KEY (`idClient`) REFERENCES `client` (`idClient`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `produshasingredient`
--
ALTER TABLE `produshasingredient`
ADD CONSTRAINT `fk_Produs_has_Ingredient_Ingredient1` FOREIGN KEY (`idIngredient`) REFERENCES `ingredient` (`idIngredient`) ON UPDATE CASCADE,
ADD CONSTRAINT `fk_Produs_has_Ingredient_Produs1` FOREIGN KEY (`idProdus`) REFERENCES `produs` (`idProdus`) ON UPDATE CASCADE;

DELIMITER $$
--
-- Events
--
CREATE DEFINER=`root`@`localhost` EVENT `curata_comenzile` ON SCHEDULE EVERY 1 DAY STARTS '2015-01-13 12:21:14' ON COMPLETION PRESERVE ENABLE DO begin
 DELETE FROM coscomanda
   where  idComanda in (select idComanda  from comanda  where  dataComanda  <= (CURDATE() - INTERVAL 1 MONTH));
  DELETE FROM comanda
   where   dataComanda  <= (CURDATE() - INTERVAL 1 MONTH);
    end$$

CREATE DEFINER=`root`@`localhost` EVENT `Cadou` ON SCHEDULE EVERY 1 DAY STARTS '2015-01-13 12:21:08' ON COMPLETION PRESERVE ENABLE DO begin
update utilizator
set puncteutilizator=puncteutilizator+100
where  idUtilizator in(
	select idUtilizator from client where 
		idClient in(
			select idClient 
			from persoana 
			where day (dataNasterePersoana) = DAY (CURDATE())
				and month (dataNasterePersoana)=month (CURDATE())));
end$$

DELIMITER ;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
