DROP PROCEDURE IF EXISTS ADAUGARE_CONT_USER;
DELIMITER //

CREATE PROCEDURE ADAUGARE_CONT_USER(pr_username char(45),pr_password char(45),pr_email char(45),pr_nume char(45),pr_prenume char(45),pr_adresa text(100),pr_data date,pr_info text(100))
  BEGIN
    SELECT @nr_id := MAX(id) FROM login;
    IF (@nr_id IS NULL) THEN
	   SET @nr_id = 0;
	END IF;
    SET @nr_id = @nr_id+1;
  		INSERT INTO Login(id,username,password,email,tip) VALUES (@nr_id,pr_username,pr_password,pr_email,"user");
        INSERT INTO Cont_user(Login_id,nume,prenume,data_nasterii,adresa_livrare,alte_informatii) VALUES (@nr_id,pr_nume,pr_prenume,pr_data,pr_adresa,pr_info);
  END //
DELIMITER ;

DROP PROCEDURE IF EXISTS ADAUGARE_CONT_ADMIN;
DELIMITER //

CREATE PROCEDURE ADAUGARE_CONT_ADMIN(pr_username char(45),pr_password char(45),pr_email char(45),pr_nume char(45),pr_prenume char(45),pr_info text(100))
  BEGIN
    SELECT @nr_id := MAX(id) FROM login;
	IF (@nr_id IS NULL) THEN
	   SET @nr_id = 0;
	END IF;
    SET @nr_id = @nr_id+1;
  		INSERT INTO Login(id,username,password,email,tip) VALUES (@nr_id,pr_username,pr_password,pr_email,"admin");
        INSERT INTO Cont_admin(Login_id,nume,prenume,alte_informatii) VALUES (@nr_id,pr_nume,pr_prenume,pr_info);
  END //
DELIMITER ;


DROP PROCEDURE IF EXISTS ADAUGARE_FIRMA;
DELIMITER //
  
CREATE PROCEDURE ADAUGARE_FIRMA(pr_id_cont INT,pr_nume char(45),pr_adresa text(100),pr_cod_fiscal char(45))
  BEGIN
	SET @nr_id_existent = 0;
  	SELECT @nr_id_existent := idFirma FROM cont_firma WHERE pr_cod_fiscal = cod_fiscal;
    IF (@nr_id_existent = 0) THEN
       SELECT @nr_id := MAX(idFirma) FROM cont_firma;   
	   IF (@nr_id IS NULL) THEN
	      SET @nr_id = 0;
	   END IF;
       SET @nr_id = @nr_id+1;
           INSERT INTO Cont_firma(idFirma,nume,cod_fiscal,adresa) VALUES (@nr_id,pr_nume,pr_cod_fiscal,pr_adresa);       
           UPDATE Cont_user
           SET Firma_id = @nr_id
           WHERE Login_id = pr_id_cont;
	ELSE
	   UPDATE Cont_user
	   SET Firma_id = @nr_id_existent
	   WHERE Login_id = pr_id_cont;
    END IF;
  END //
DELIMITER ;

DROP PROCEDURE IF EXISTS ADAUGARE_CARD;
DELIMITER //

CREATE PROCEDURE ADAUGARE_CARD(pr_id_cont INT,pr_numar_card VARCHAR(14),pr_data_expirare DATE,pr_banca VARCHAR(45),pr_nume_card VARCHAR(45))
  BEGIN
    SELECT @nr_id := MAX(idCard) FROM Card;
	IF (@nr_id IS NULL) THEN
	   SET @nr_id = 0;
	END IF;
    SET @nr_id = @nr_id+1;
       INSERT INTO Card(idCard,numar_card,data_expirare,banca,nume_de_pe_card,Cont_id) VALUES (@nr_id,pr_numar_card,pr_data_expirare,pr_banca,pr_nume_card,pr_id_cont);
  END //
DELIMITER ;

DROP PROCEDURE IF EXISTS ADAUGARE_PRODUCATOR;
DELIMITER //

CREATE PROCEDURE ADAUGARE_PRODUCATOR(pr_nume VARCHAR(45),pr_tara VARCHAR(45))
  BEGIN
    SELECT @nr_id := MAX(idProducator) FROM Producator;
    IF (@nr_id IS NULL) THEN
	   SET @nr_id = 0;
	END IF;
    SET @nr_id = @nr_id+1;
       INSERT INTO Producator(idProducator,nume,tara_origine) VALUES (@nr_id,pr_nume,pr_tara);
  END //
DELIMITER ;

DROP PROCEDURE IF EXISTS ADAUGARE_PLACA_DE_BAZA;
DELIMITER //

CREATE PROCEDURE ADAUGARE_PLACA_DE_BAZA(pr_producator_id INT,pr_nume char(70),pr_socket char(45),pr_chipset char(45),pr_cantitate INT,pr_pret INT)
  BEGIN
    SELECT @nr_id := MAX(idProdus) FROM Produs;
    IF (@nr_id IS NULL) THEN
	   SET @nr_id = 0;
	END IF;
    SET @nr_id = @nr_id+1;
       INSERT INTO Produs(idProdus,nume,cantitate,pret,Producator_id,tip) VALUES (@nr_id,pr_nume,pr_cantitate,pr_pret,pr_producator_id,"Placa de baza");
       INSERT INTO placa_de_baza(Produs_id,socket,chipset) VALUES (@nr_id,pr_socket,pr_chipset);
  END //
DELIMITER ;

DROP PROCEDURE IF EXISTS ADAUGARE_PROCESOR;
DELIMITER //

CREATE PROCEDURE ADAUGARE_PROCESOR(pr_producator_id INT,pr_nume char(70),pr_socket char(45),pr_nuclee INT,pr_frecventa INT,pr_cantitate INT,pr_pret INT)
  BEGIN
    SELECT @nr_id := MAX(idProdus) FROM Produs;
    IF (@nr_id IS NULL) THEN
	   SET @nr_id = 0;
	END IF;
    SET @nr_id = @nr_id+1;
       INSERT INTO Produs(idProdus,nume,cantitate,pret,Producator_id,tip) VALUES (@nr_id,pr_nume,pr_cantitate,pr_pret,pr_producator_id,"Procesor");
       INSERT INTO procesor(Produs_id,socket,nr_nuclee,frecventa) VALUES (@nr_id,pr_socket,pr_nuclee,pr_frecventa);
  END //
DELIMITER ;

DROP PROCEDURE IF EXISTS ADAUGARE_SURSA;
DELIMITER //

CREATE PROCEDURE ADAUGARE_SURSA(pr_producator_id INT,pr_nume char(70),pr_putere INT,pr_cantitate INT,pr_pret INT)
  BEGIN
    SELECT @nr_id := MAX(idProdus) FROM Produs;
    IF (@nr_id IS NULL) THEN
	   SET @nr_id = 0;
	END IF;
    SET @nr_id = @nr_id+1;
        INSERT INTO Produs(idProdus,nume,cantitate,pret,Producator_id,tip) VALUES (@nr_id,pr_nume,pr_cantitate,pr_pret,pr_producator_id,"Sursa"); 
        INSERT INTO Sursa(Produs_id,putere) VALUES (@nr_id,pr_putere);    
  END //
DELIMITER ;

DROP PROCEDURE IF EXISTS ADAUGARE_PLACA_VIDEO;
DELIMITER //

CREATE PROCEDURE ADAUGARE_PLACA_VIDEO(pr_producator_id INT,pr_nume char(70),pr_memorie INT,pr_bus INT,pr_cantitate INT,pr_pret INT)
  BEGIN
    SELECT @nr_id := MAX(idProdus) FROM Produs;
    IF (@nr_id IS NULL) THEN
	   SET @nr_id = 0;
	END IF;    
    SET @nr_id = @nr_id+1;
        INSERT INTO Produs(idProdus,nume,cantitate,pret,Producator_id,tip) VALUES (@nr_id,pr_nume,pr_cantitate,pr_pret,pr_producator_id,"Placa video"); 
        INSERT INTO Placa_video(Produs_id,memorie,bus) VALUES (@nr_id,pr_memorie,pr_bus);
  END //
DELIMITER ;

DROP PROCEDURE IF EXISTS ADAUGARE_HARD_DISK;
DELIMITER //

CREATE PROCEDURE ADAUGARE_HARD_DISK(pr_producator_id INT,pr_nume char(70),pr_rpm INT,pr_size_memorie INT,pr_cantitate INT,pr_pret INT)
  BEGIN
    SELECT @nr_id := MAX(idProdus) FROM Produs;
    IF (@nr_id IS NULL) THEN
	   SET @nr_id = 0;
	END IF;
    SET @nr_id = @nr_id+1;
        INSERT INTO Produs(idProdus,nume,cantitate,pret,Producator_id,tip) VALUES (@nr_id,pr_nume,pr_cantitate,pr_pret,pr_producator_id,"Hard disk");  
        INSERT INTO stocare_hard(Produs_id,rpm,size_memorie) VALUES (@nr_id,pr_rpm,pr_size_memorie);
  END //
DELIMITER ;

DROP PROCEDURE IF EXISTS ADAUGARE_SSD;
DELIMITER //

CREATE PROCEDURE ADAUGARE_SSD(pr_producator_id INT,pr_nume char(70),pr_read_speed INT,pr_write_speed INT,pr_size_memorie INT,pr_cantitate INT,pr_pret INT)
  BEGIN
    SELECT @nr_id := MAX(idProdus) FROM Produs;
    IF (@nr_id IS NULL) THEN
	   SET @nr_id = 0;
	END IF;
    SET @nr_id = @nr_id+1;
        INSERT INTO Produs(idProdus,nume,cantitate,pret,Producator_id,tip) VALUES (@nr_id,pr_nume,pr_cantitate,pr_pret,pr_producator_id,"SSD"); 
        INSERT INTO stocare_solid(Produs_id,read_speed,write_speed,size_memorie) VALUES (@nr_id,pr_read_speed,pr_write_speed,pr_size_memorie);
  END //
DELIMITER ;

DROP PROCEDURE IF EXISTS ADAUGARE_RAM;
DELIMITER //

CREATE PROCEDURE ADAUGARE_RAM(pr_producator_id INT,pr_nume char(70),pr_tip char(4),pr_size_memorie INT,pr_frecventa INT,pr_cantitate INT,pr_pret INT)
  BEGIN
    SELECT @nr_id := MAX(idProdus) FROM Produs;
    IF (@nr_id IS NULL) THEN
	   SET @nr_id = 0;
	END IF;
    SET @nr_id = @nr_id+1;
        INSERT INTO Produs(idProdus,nume,cantitate,pret,Producator_id,tip) VALUES (@nr_id,pr_nume,pr_cantitate,pr_pret,pr_producator_id,"RAM"); 
        INSERT INTO RAM(Produs_id,frecventa,size_memorie,tip) VALUES (@nr_id,pr_frecventa,pr_size_memorie,pr_tip);
  END //
DELIMITER ;

DROP PROCEDURE IF EXISTS ADAUGARE_COMANDA;
DELIMITER //
#Adauga un produs in cosul de cumparaturi
CREATE PROCEDURE ADAUGARE_COMANDA(pr_id_produs INT,pr_id_cont INT,pr_cantitate INT)
  BEGIN
    SELECT @pr_cant := cantitate FROM Produs WHERE pr_id_produs = idProdus;
    IF (@pr_cant >= pr_cantitate) THEN
       SELECT @nr_id := MAX(idComanda) FROM Comanda;
       IF (@nr_id IS NULL) THEN
	      SET @nr_id = 0;
	   END IF;
       SET @nr_id = @nr_id+1;  
	   SELECT @pret := pret FROM produs WHERE pr_id_produs = idProdus;
          INSERT INTO Comanda(idComanda,Produs_id,Cont_id,cantitate,valoare) VALUES (@nr_id,pr_id_produs,pr_id_cont,pr_cantitate,pr_cantitate*@pret);
	END IF;
  END //
DELIMITER ;

DROP PROCEDURE IF EXISTS FINALIZARE_COMANDA;
DELIMITER //

CREATE PROCEDURE FINALIZARE_COMANDA(pr_id_cont INT) 
  BEGIN
     INSERT INTO Istoric_comenzi(Cont_id,Produs_id,cantitate,valoare)
     SELECT Cont_id,Produs_id,cantitate,valoare FROM Comanda WHERE Cont_id = pr_id_cont;
     UPDATE Istoric_comenzi
	 SET data = CURDATE(),nume_produs = RET_NUME_PRODUS(Produs_id)
     WHERE Cont_id = pr_id_cont;
     DELETE FROM Comanda
     WHERE Cont_id = pr_id_cont;
  END //
DELIMITER ;

DROP PROCEDURE IF EXISTS STERGERE_FIRMA_DIN_CONT;
DELIMITER //

CREATE PROCEDURE STERGERE_FIRMA_DIN_CONT(pr_cont_id INT)
  BEGIN
     UPDATE Cont_user
     SET Firma_id = NULL
     WHERE Login_id = pr_cont_id;
  END //
DELIMITER ;

DROP PROCEDURE IF EXISTS STERGERE_CARD_DIN_CONT;
DELIMITER //

CREATE PROCEDURE STERGERE_CARD_DIN_CONT(pr_cont_id INT,pr_card_id INT)
  BEGIN
     DELETE FROM Card
     WHERE (Cont_id = pr_cont_id AND idCard = pr_card_id);
  END //
DELIMITER ;

DROP PROCEDURE IF EXISTS ADAUGARE_STOC_PRODUS;
DELIMITER //

CREATE PROCEDURE ADAUGARE_STOC_PRODUS(pr_id_produs INT,pr_cantitate INT)
  BEGIN
     UPDATE Produs
     SET cantitate = cantitate + pr_cantitate
     WHERE idProdus = pr_id_produs;
  END //
DELIMITER ;

DROP PROCEDURE IF EXISTS STERGERE_PRODUS;
DELIMITER //

CREATE PROCEDURE STERGERE_PRODUS(pr_produs_id INT)
  BEGIN
     DELETE FROM Produs
     WHERE idProdus = pr_produs_id;
  END //
DELIMITER ;

DROP PROCEDURE IF EXISTS STERGERE_CONT;
DELIMITER //

CREATE PROCEDURE STERGERE_CONT(pr_cont_id INT)
  BEGIN
     DELETE FROM Login
     WHERE id = pr_cont_id;
  END //
DELIMITER ;

DROP PROCEDURE IF EXISTS STERGERE_COMANDA;
DELIMITER //

CREATE PROCEDURE STERGERE_COMANDA(pr_cont_id INT,pr_produs_id INT)
  BEGIN
     SET @DISABLE_STERGERE = 1;
     DELETE FROM Comanda
     WHERE (pr_cont_id = Cont_id AND pr_produs_id = Produs_id);
     SET @DISABLE_STERGERE = 0;
  END //
DELIMITER ;