DROP VIEW IF EXISTS AFISARE_PLACI_DE_BAZA;
#
CREATE VIEW AFISARE_PLACI_DE_BAZA AS
SELECT produs.nume AS "Nume",producator.nume AS "Producator",placa_de_baza.socket AS "Socket",placa_de_baza.chipset AS "Chipset",pret AS "Pret(Lei)"
FROM produs
JOIN placa_de_baza ON idProdus = Produs_id
   JOIN producator ON idProducator = Producator_id;
#

DROP VIEW IF EXISTS AFISARE_PLACI_VIDEO;
#
CREATE VIEW AFISARE_PLACI_VIDEO AS
SELECT produs.nume AS "Nume",producator.nume AS "Producator",placa_video.memorie AS "Memorie(MB)",placa_video.bus AS "Bus(biti)",pret AS "Pret(Lei)"
FROM produs
JOIN placa_video ON idProdus = Produs_id
   JOIN producator ON idProducator = Producator_id;
#   
   
DROP VIEW IF EXISTS AFISARE_PROCESOARE;
#
CREATE VIEW AFISARE_PROCESOARE AS
SELECT produs.nume AS "Nume",producator.nume AS "Producator",procesor.socket AS "Socket",procesor.nr_nuclee AS "Numar nuclee",procesor.frecventa AS "Frecventa(MHz)",pret AS "Pret(Lei)"
FROM produs
JOIN procesor ON idProdus = Produs_id
   JOIN producator ON idProducator = Producator_id;
#
   
DROP VIEW IF EXISTS AFISARE_RAMI;
#
CREATE VIEW AFISARE_RAMI AS
SELECT produs.nume AS "Nume",producator.nume AS "Producator",RAM.tip AS "Tip",RAM.size_memorie AS "Memorie(MB)",RAM.frecventa AS "Frecventa(MHz)",pret AS "Pret(Lei)"
FROM produs
JOIN RAM ON idProdus = Produs_id
   JOIN producator ON idProducator = Producator_id;
#
   
DROP VIEW IF EXISTS AFISARE_HDDURI;
#
CREATE VIEW AFISARE_HDDURI AS
SELECT produs.nume AS "Nume",producator.nume AS "Producator",Stocare_hard.size_memorie AS "Memorie(GB)",Stocare_hard.rpm AS "RPM",pret AS "Pret(Lei)"
FROM produs
JOIN stocare_hard ON idProdus = Produs_id
   JOIN producator ON idProducator = Producator_id;
#
   
DROP VIEW IF EXISTS AFISARE_SSDURI;
#
CREATE VIEW AFISARE_SDDURI AS
SELECT produs.nume AS "Nume",producator.nume AS "Producator",Stocare_solid.size_memorie AS "Memorie(GB)",Stocare_solid.read_speed AS "Viteza citire(MB/s)",Stocare_solid.write_speed AS "Viteza scriere(MB/s)",pret AS "Pret(Lei)"
FROM produs
JOIN Stocare_solid ON idProdus = Produs_id
   JOIN producator ON idProducator = Producator_id;
#
   
DROP VIEW IF EXISTS AFISARE_SURSE;
#
CREATE VIEW AFISARE_SURSE AS
SELECT produs.nume AS "Nume",producator.nume AS "Producator",sursa.putere AS "Putere(W)",pret AS "Pret(Lei)"
FROM produs
JOIN sursa ON idProdus = Produs_id
   JOIN producator ON idProducator = Producator_id;
#