SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

CREATE DATABASE  IF NOT EXISTS `airport`;
USE `airport`;

-- Table structure for table `aeronave`
--
CREATE TABLE IF NOT EXISTS `airport`.`Aeronave`(
  `idAeronave` int(11) NOT NULL AUTO_INCREMENT,
  `nume` varchar(15) DEFAULT NULL,
  `model` varchar(15) DEFAULT NULL,
  `capacitate` int(11) DEFAULT NULL,
  `greutate` int(11) DEFAULT NULL,
  `expirare_termen_operare` date DEFAULT NULL,
  PRIMARY KEY (`idAeronave`),
  UNIQUE KEY `idAeronave_UNIQUE` (`idAeronave`)
) ENGINE=InnoDB AUTO_INCREMENT=27 DEFAULT CHARSET=latin1;

--
-- Table structure for table `airport_services`
--

CREATE TABLE IF NOT EXISTS `airport`.`airport_services` (
  `idAeroport` int(11) NOT NULL AUTO_INCREMENT,
  `idOrar` int(11) NOT NULL,
  `idRent_a_car` int(11) NOT NULL,
  `idTaxi` int(11) NOT NULL,
  `idContacte` int(11) NOT NULL,
  PRIMARY KEY (`idAeroport`,`idOrar`,`idRent_a_car`,`idTaxi`,`idContacte`),
  UNIQUE KEY `idAeroport_UNIQUE` (`idAeroport`),
  KEY `fk_airport_services_Orar1_idx` (`idOrar`),
  KEY `fk_airport_services_Rent_a_car1_idx` (`idRent_a_car`),
  KEY `fk_airport_services_Taxi1_idx` (`idTaxi`),
  KEY `fk_airport_services_Contacte1_idx` (`idContacte`),
  CONSTRAINT `fk_airport_services_Contacte1` FOREIGN KEY (`idContacte`) REFERENCES `contacte` (`idContacte`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_airport_services_Orar1` FOREIGN KEY (`idOrar`) REFERENCES `orar` (`idOrar`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_airport_services_Rent_a_car1` FOREIGN KEY (`idRent_a_car`) REFERENCES `rent_a_car` (`idRent_a_car`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_airport_services_Taxi1` FOREIGN KEY (`idTaxi`) REFERENCES `taxi` (`idTaxi`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


--
-- Table structure for table `bagaje`
--
CREATE TABLE IF NOT EXISTS `airport`.`Bagaje` (
  `idBagaje` int(11) NOT NULL AUTO_INCREMENT,
  `idUser` int(11) NOT NULL,
  `Greutate(kg)` int(11) DEFAULT NULL,
  `Cod` varchar(10) DEFAULT NULL,
  `idRezervare` int(11) DEFAULT NULL,
  PRIMARY KEY (`idBagaje`,`idUser`),
  UNIQUE KEY `idBagaje_UNIQUE` (`idBagaje`),
  KEY `fk_Bagaje_User1_idx` (`idUser`),
  CONSTRAINT `fk_Bagaje_User1` FOREIGN KEY (`idUser`) REFERENCES `user` (`idUser`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;

--
-- Table structure for table `case_vanzare_bilete`
--

CREATE TABLE IF NOT EXISTS `airport`.`Case_vanzare_bilete` (
  `idCase_vanzare_bilete` int(11) NOT NULL AUTO_INCREMENT,
  `idCompanie` int(11) NOT NULL,
  `Telefon` bigint(12) DEFAULT NULL,
  `Program` varchar(60) DEFAULT NULL,
  PRIMARY KEY (`idCase_vanzare_bilete`,`idCompanie`),
  UNIQUE KEY `idCase_vanzare_bilete_UNIQUE` (`idCase_vanzare_bilete`),
  KEY `fk_Case_vanzare_bilete_Companii_aeriene1_idx` (`idCompanie`),
  CONSTRAINT `fk_Case_vanzare_bilete_Companii_aeriene1` FOREIGN KEY (`idCompanie`) REFERENCES `companii_aeriene` (`idCompanie`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;

--
-- Table structure for table `companii_aeriene`
--

CREATE TABLE IF NOT EXISTS `airport`.`Companii_aeriene` (
  `idCompanie` int(11) NOT NULL,
  `Denumire` varchar(25) DEFAULT NULL,
  `Cod` varchar(5) DEFAULT NULL,
  `idDestinatii` int(11) NOT NULL,
  `Contacte` bigint(12) DEFAULT NULL,
  PRIMARY KEY (`idCompanie`,`idDestinatii`),
  KEY `fk_Companii aeriene_Destinatii1_idx` (`idDestinatii`),
  CONSTRAINT `fk_Companii aeriene_Destinatii1` FOREIGN KEY (`idDestinatii`) REFERENCES `destinatii` (`idDestinatii`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Table structure for table `contacte`
--

CREATE TABLE IF NOT EXISTS `airport`.`Contacte` (
  `idContacte` int(11) NOT NULL AUTO_INCREMENT,
  `Adresa` varchar(40) DEFAULT NULL,
  `Telefon` bigint(12) DEFAULT NULL,
  `Zip` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`idContacte`),
  UNIQUE KEY `idContacte_UNIQUE` (`idContacte`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;

--
-- Table structure for table `destinatii`
--

CREATE TABLE IF NOT EXISTS `airport`.`Destinatii` (
  `idDestinatii` int(11) NOT NULL AUTO_INCREMENT,
  `Destinatie` varchar(15) DEFAULT NULL,
  PRIMARY KEY (`idDestinatii`),
  UNIQUE KEY `idDestinatii_UNIQUE` (`idDestinatii`)
) ENGINE=InnoDB AUTO_INCREMENT=55 DEFAULT CHARSET=latin1;

--
-- Table structure for table `orar`
--

CREATE TABLE IF NOT EXISTS `airport`.`Orar` (
  `idOrar` int(11) NOT NULL AUTO_INCREMENT,
  `idDestinatii` int(11) NOT NULL,
  `idCompanie` int(11) NOT NULL,
  `idZile` int(11) NOT NULL,
  `Nr_cursei_dus` varchar(15) DEFAULT NULL,
  `Ora_decolare_Chisinau` varchar(10) DEFAULT NULL,
  `Ora_aterizare_destinatie` varchar(10) DEFAULT NULL,
  `Ora_decolare_destinatie` varchar(10) DEFAULT NULL,
  `Ora_aterizare_Chisinau` varchar(10) DEFAULT NULL,
  `Nr_cursei_intors` varchar(15) DEFAULT NULL,
  `idAeronave` int(11) NOT NULL,
  `Set_Staff` int(11) NOT NULL,
  `Pret_dus` int(11) DEFAULT NULL,
  `Pret_intors` int(11) DEFAULT NULL,
  PRIMARY KEY (`idOrar`,`idDestinatii`,`idCompanie`,`idZile`,`idAeronave`,`Set_Staff`),
  UNIQUE KEY `idOrar_UNIQUE` (`idOrar`),
  KEY `fk_Orar_Aeronave1_idx` (`idAeronave`),
  KEY `fk_Orar_Set_Staff1_idx` (`Set_Staff`),
  KEY `fk_Orar_Set_zile1_idx` (`idZile`),
  KEY `fk_Orar_Companii_aeriene1_idx` (`idCompanie`,`idDestinatii`),
  CONSTRAINT `fk_Orar_Aeronave1` FOREIGN KEY (`idAeronave`) REFERENCES `aeronave` (`idAeronave`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_Orar_Companii_aeriene1` FOREIGN KEY (`idCompanie`, `idDestinatii`) REFERENCES `companii_aeriene` (`idCompanie`, `idDestinatii`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_Orar_Set_Staff1` FOREIGN KEY (`Set_Staff`) REFERENCES `set_staff` (`idSet_Staff`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_Orar_Set_zile1` FOREIGN KEY (`idZile`) REFERENCES `set_zile` (`idSet_zile`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=82 DEFAULT CHARSET=latin1;

--
-- Table structure for table `rent_a_car`
--

CREATE TABLE IF NOT EXISTS `airport`.`rent_a_car` (
  `idRent_a_car` int(11) NOT NULL AUTO_INCREMENT,
  `Nume_companie` varchar(20) DEFAULT NULL,
  `Telefon` bigint(12) DEFAULT NULL,
  PRIMARY KEY (`idRent_a_car`),
  UNIQUE KEY `idRent_a_car_UNIQUE` (`idRent_a_car`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;

--
-- Table structure for table `rezervari`
--

CREATE TABLE IF NOT EXISTS `airport`.`rezervari` (
  `idRezervare` int(11) NOT NULL AUTO_INCREMENT,
  `idUser` int(11) NOT NULL,
  `idOrar` int(11) NOT NULL,
  `data_dus` varchar(45) DEFAULT NULL,
  `data_intors` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`idRezervare`,`idUser`,`idOrar`),
  UNIQUE KEY `idRezervari_UNIQUE` (`idRezervare`),
  KEY `fk_Rezervari_Orar1_idx` (`idOrar`),
  KEY `fk_Rezervari_User1_idx` (`idUser`),
  CONSTRAINT `fk_Rezervari_Orar1` FOREIGN KEY (`idOrar`) REFERENCES `orar` (`idOrar`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_Rezervari_User1` FOREIGN KEY (`idUser`) REFERENCES `user` (`idUser`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=48 DEFAULT CHARSET=latin1;

--
-- Table structure for table `set_staff`
--

CREATE TABLE IF NOT EXISTS `airport`.`set_staff` (
  `idSet_Staff` int(11) NOT NULL,
  `Staff_idStaff` int(11) NOT NULL,
  PRIMARY KEY (`idSet_Staff`,`Staff_idStaff`),
  KEY `fk_Set_Staff_Staff1_idx` (`Staff_idStaff`),
  CONSTRAINT `fk_Set_Staff_Staff1` FOREIGN KEY (`Staff_idStaff`) REFERENCES `staff` (`idStaff`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Table structure for table `set_zile`
--

CREATE TABLE IF NOT EXISTS `airport`.`set_zile` (
  `idSet_zile` int(11) NOT NULL,
  `Zile_idZile` int(11) NOT NULL,
  PRIMARY KEY (`idSet_zile`,`Zile_idZile`),
  KEY `fk_Set_zile_Zile1_idx` (`Zile_idZile`),
  CONSTRAINT `fk_Set_zile_Zile1` FOREIGN KEY (`Zile_idZile`) REFERENCES `zile` (`idZile`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Table structure for table `staff`
--

CREATE TABLE IF NOT EXISTS `airport`.`staff` (
  `idStaff` int(11) NOT NULL AUTO_INCREMENT,
  `Nume` varchar(20) DEFAULT NULL,
  `Prenume` varchar(20) DEFAULT NULL,
  `Varsta` int(11) DEFAULT NULL,
  `Sex` varchar(3) DEFAULT NULL,
  `Data_angajarii` date DEFAULT NULL,
  `Rol` varchar(40) DEFAULT NULL,
  PRIMARY KEY (`idStaff`),
  UNIQUE KEY `idStaff_UNIQUE` (`idStaff`)
) ENGINE=InnoDB AUTO_INCREMENT=205 DEFAULT CHARSET=latin1;

--
-- Table structure for table `taxi`
--

CREATE TABLE IF NOT EXISTS `airport`.`taxi` (
  `idTaxi` int(11) NOT NULL AUTO_INCREMENT,
  `Nume_companie` varchar(20) DEFAULT NULL,
  `Telefon` int(11) DEFAULT NULL,
  PRIMARY KEY (`idTaxi`),
  UNIQUE KEY `idTaxi_UNIQUE` (`idTaxi`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=latin1;

--
-- Table structure for table `user`
--

CREATE TABLE IF NOT EXISTS `airport`.`user` (
  `idUser` int(11) NOT NULL AUTO_INCREMENT,
  `Parola` varchar(32) DEFAULT NULL,
  `Nume` varchar(20) DEFAULT NULL,
  `Prenume` varchar(20) DEFAULT NULL,
  `CNP` bigint(13) DEFAULT NULL,
  `Adresa` varchar(30) DEFAULT NULL,
  `Telefon` bigint(12) DEFAULT NULL,
  `Email` varchar(30) DEFAULT NULL,
  `Username` varchar(45) DEFAULT NULL,
  `Rol` int(11) DEFAULT NULL,
  PRIMARY KEY (`idUser`),
  UNIQUE KEY `idPasageri_UNIQUE` (`idUser`)
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=latin1;

--
-- Table structure for table `zile`
--

CREATE TABLE IF NOT EXISTS `airport`.`zile` (
  `idZile` int(11) NOT NULL AUTO_INCREMENT,
  `Zile_operare` varchar(15) DEFAULT NULL,
  PRIMARY KEY (`idZile`),
  UNIQUE KEY `idZile_UNIQUE` (`idZile`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;

INSERT INTO `airport`.`user` (`Parola`, `Nume`, `Prenume`, `CNP`, `Adresa`, `Telefon`, `Email`, `Username`, `Rol`) VALUES ('6dcba676ce02c6bb27562bbf32762a5a', 'Admin', 'Admin', '0', '127.0.0.1', '0', 'admin@localhost', 'admin',0);

# POPULAREA TABELELOR

INSERT INTO airport.zile(idZile,Zile_operare) VALUES
(1,'Luni'),(2,'Marti'),(3,'Miercuri'),
(4,'Joi'),(5,'Vineri'),(6,'Sambata'),
(7,'Duminica');

INSERT INTO airport.Destinatii(idDestinatii,Destinatie) VALUES
(1,'Antalya'),(2,'Atena'),(3,'Barcelona'),(4,'Bologna'),
(5,'Bucuresti'),(6,'Dubai'),(7,'Dublin'),(8,'Frankfurt'),
(9,'Istanbul'),(10,'Kiev'),(11,'Larnaca'),(12,'Lisabona'),
(13,'Londra'),(14,'Milano'),(15,'Moscova'),(16,'Munchen'),
(17,'Nijnevartovsk'),(18,'Paris'),(19,'Roma'),(20,'Sharm el-Sheikh'),
(21,'Soci'),(22,'St.Petersburg'),(23,'Surgut'),(24,'Tel Aviv'),
(25,'Torino'),(26,'Venetia'),(27,'Verona'),(28,'Viena'),
(29,'Warsaw');

INSERT INTO airport.aeronave(idAeronave,nume,model,capacitate,greutate,expirare_termen_operare) VALUES
(1,'Embraer','E90',114,51800,'2015-04-12'),
(2,'Airbus','A320',165,78000,'2016-07-28'),
(3,'ATR','AT5',50,18600,'2015-02-01'),
(4,'Embraer','EM2',30,11500,'2017-04-02'),
(5,'Boeing','73H',130,111000,'2015-05-25'),
(6,'Boeing','73W',130,111000,'2016-08-01'),
(7,'Boeing','733',140,61250,'2015-07-30'),
(8,'Airbus','321',200,95500,'2015-01-28'),
(9,'Airbus','319',160,75500,'2015-06-27'),
(10,'Bombardier','CRJ 900',90,38330,'2017-10-24'),
(11,'Fokker','F70',85,41730,'2018-01-01'),
(12,'Bombardier','Q400',78,29257,'2015-01-29');

INSERT INTO airport.contacte(idContacte, Adresa, Telefon, Zip) VALUES
(1, 'Bd. Dacia 80/3', 037322525111, 'MD-2026');

INSERT INTO airport.rent_a_car(idRent_a_car, Nume_companie, Telefon) VALUES
(1, 'Prim-Auto', 037322525474),
(2, 'Europ-Car', 037322310138),
(3, 'Gotur-Trans-Grup', 037322811584);

INSERT INTO airport.taxi(idTaxi, Nume_companie, Telefon) VALUES
(1, 'Roz', 14022),
(2, 'Premier', 14001),
(3, 'Favorit', 14004),
(4, 'Maestro', 14100),
(5, 'Meridian', 14222),
(6, 'Lemon', 14428),
(7, 'Metro', 14441),
(8, 'Star', 14999);

INSERT INTO airport.staff(idStaff, Nume, Prenume, Varsta, Sex, Data_angajarii, Rol) VALUES
(1, 'Popoviciu', 'Andrei', 38, 'M', '2010-05-27','pilot'),
(2, 'Melhov', 'Ana', 29, 'F', '2013-02-15','insotitor_de_bord'),
(3, 'Mate', 'Victor', 40, 'M', '2008-08-18', 'pilot'),
(4, 'Cheptene', 'Maria', 33, 'F', '2012-10-12','insotitor_de_bord'),
(5, 'Stratan', 'Alexei', 32, 'M', '2013-06-22', 'pilot'),
(6, 'Fezniu', 'Anca', 37, 'F', '2005-08-19','insotitor_de_bord'),
(7, 'Pesnur', 'Mihai', 45, 'M', '2002-10-30', 'pilot'),
(8, 'Stefnov', 'Alexandra', 32, 'F', '2012-02-28','insotitor_de_bord'),
(9, 'Stratila', 'Marius', 50, 'M', '2003-12-18', 'pilot'),
(10, 'Morariu', 'Daniela', 29, 'F', '2013-06-23','insotitor_de_bord'),
(11, 'Poznariu', 'Nicolae', 35, 'M', '2012-05-20', 'pilot'),
(12, 'Cheptea', 'Florin', 33, 'M', '2012-03-25','insotitor_de_bord'),
(13, 'Matveev', 'Alexandru', 44, 'M', '2002-04-29', 'pilot'),
(14, 'Sandu', 'Cristina', 36, 'F', '2008-12-12','insotitor_de_bord'),
(15, 'Tripu', 'Cornel', 39, 'M', '2011-07-19', 'pilot'),
(16, 'Tcacenco', 'Alina', 31, 'F', '2011-08-27','insotitor_de_bord'),
(17, 'Tcaci', 'Dumitru', 42, 'M', '2007-03-28', 'pilot'),
(18, 'Panzaru', 'Iulia', 40, 'F', '2006-07-15','insotitor_de_bord'),
(19, 'Costin', 'Pavel', 40, 'M', '2006-09-25', 'pilot'),
(20, 'Stan', 'Paul', 36, 'M', '2010-03-08','insotitor_de_bord'),
(21, 'Culea', 'Ion', 35, 'M', '2013-11-25', 'pilot'),
(22, 'Cius', 'Raluca', 37, 'F', '2008-11-24','insotitor_de_bord'),
(23, 'Lupsa', 'Vlad', 37, 'M', '2012-05-13', 'pilot'),
(24, 'Sitcea', 'Sorina', 29, 'F', '2014-08-17','insotitor_de_bord'),
(25, 'Balta', 'Petru', 48, 'M', '2004-01-17', 'pilot'),
(26, 'Leut', 'Corina', 47, 'F', '2006-08-02','insotitor_de_bord'),
(27, 'Balan', 'Octavian', 46, 'M', '2006-05-21', 'pilot'),
(28, 'Sarma', 'Nicoleta', 39, 'F', '2010-04-26','insotitor_de_bord'),
(29, 'Ciubotaru', 'Valentin', 52, 'M', '2002-03-11', 'pilot'),
(30, 'Satmari', 'Andreea', 35, 'F', '2012-05-27','insotitor_de_bord'),
(31, 'Iurco', 'Valeriu', 48, 'M', '2003-08-22', 'pilot'),
(32, 'Puri', 'Katerina', 27, 'F', '2013-04-29','insotitor_de_bord'),
(33, 'Lesnic', 'Catalin', 43, 'M', '2008-04-22','pilot'),
(34, 'Melciu', 'Stefania', 32, 'F', '2011-04-18','insotitor_de_bord'),
(35, 'Zoltan', 'Attila', 47, 'M', '2005-10-22', 'pilot'),
(36, 'Stratila', 'Ana-Maria', 36, 'F', '2009-06-28','insotitor_de_bord'),
(37, 'Cebotari', 'Marian', 38, 'M', '2007-03-29', 'pilot'),
(38, 'Vieru', 'Ecaterina', 30, 'F', '2010-05-30','insotitor_de_bord'),
(39, 'Cazmaci', 'Ion', 45, 'M', '2004-12-22', 'pilot'),
(40, 'Sitco', 'Alexandra', 34, 'F', '2008-01-27','insotitor_de_bord'),
(41, 'Geist', 'Tamas', 51, 'M', '2003-05-17', 'pilot'),
(42, 'Soica', 'Mihaela', 29, 'F', '2012-07-01','insotitor_de_bord'),
(43, 'Betea', 'Petru', 38, 'M', '2010-02-03', 'pilot'),
(44, 'Sidor', 'Mihai', 33, 'M', '2012-10-05','insotitor_de_bord'),
(45, 'Stefan', 'Adrian', 47, 'M', '2002-01-06', 'pilot'),
(46, 'Satmari', 'Ionela', 39, 'F', '2006-10-12','insotitor_de_bord'),
(47, 'Talmaci', 'Costel', 40, 'M', '2008-09-04', 'pilot'),
(48, 'Clima', 'Gabriela', 34, 'F', '2009-08-22','insotitor_de_bord'),
(49, 'Cazmariu', 'Sergiu', 46, 'M', '2006-03-03', 'pilot'),
(50, 'Sitco', 'Alexandra', 37, 'F', '2006-07-07','insotitor_de_bord'),
(51, 'Costin', 'Marius', 44, 'M', '2005-07-16', 'pilot'),
(52, 'Pop', 'Teofil', 36, 'M', '2009-02-17','insotitor_de_bord'),
(53, 'Gavrea', 'Ioan', 38, 'M', '2013-10-25', 'pilot'),
(54, 'Cizma', 'Mariana', 37, 'F', '2008-11-24','insotitor_de_bord'),
(55, 'Lupsa', 'Vlad', 37, 'M', '2009-05-08', 'pilot'),
(56, 'Bolba', 'Valentina', 30, 'F', '2014-02-12','insotitor_de_bord'),
(57, 'Prisacari', 'Dragos', 48, 'M', '2004-06-19', 'pilot'),
(58, 'Leu', 'Alexandra', 47, 'F', '2006-11-27','insotitor_de_bord'),
(59, 'Branzaru', 'Vlad', 46, 'M', '2005-03-20', 'pilot'),
(60, 'Sarmaci', 'Mihaela', 39, 'F', '2008-04-04','insotitor_de_bord'),
(61, 'Cizma', 'Sorin', 52, 'M', '2002-07-24', 'pilot'),
(62, 'Sitco', 'Antonia', 35, 'F', '2011-06-19','insotitor_de_bord'),
(63, 'Carmaci', 'Valeriu', 48, 'M', '2004-07-12', 'pilot'),
(64, 'Mocan', 'Alexandra', 27, 'F', '2013-04-29','insotitor_de_bord'),
(65, 'Grecu', 'Anatol', 39, 'M', '2011-07-20','pilot'),
(66, 'Apostol', 'Isidora', 30, 'F', '2012-01-11','insotitor_de_bord'),
(67, 'Apostol', 'Gavriil', 46, 'M', '2006-02-07', 'pilot'),
(68, 'Chistol', 'Florina', 35, 'F', '2010-11-29','insotitor_de_bord'),
(69, 'Bob', 'Adrian', 39, 'M', '2008-06-06', 'pilot'),
(70, 'Stici', 'Isabela', 35, 'F', '2008-08-08','insotitor_de_bord'),
(71, 'Plesca', 'Mihai', 45, 'M', '2004-09-23', 'pilot'),
(72, 'Grad', 'Brigitta', 37, 'F', '2009-02-27','insotitor_de_bord'),
(73, 'Ghic', 'Bogdan', 49, 'M', '2005-11-07', 'pilot'),
(74, 'Olaru', 'Loredana', 31, 'F', '2011-09-01','insotitor_de_bord'),
(75, 'Romcea', 'Iurie', 38, 'M', '2012-04-21', 'pilot'),
(76, 'Muresan', 'Valeriu', 32, 'M', '2011-03-08','insotitor_de_bord'),
(77, 'Carpov', 'Alexandru', 46, 'M', '2003-05-01', 'pilot'),
(78, 'Tivadar', 'Diana', 40, 'F', '2007-01-30','insotitor_de_bord'),
(79, 'Suciu', 'Catalin', 42, 'M', '2009-07-03', 'pilot'),
(80, 'Roman', 'Alina', 36, 'F', '2008-07-21','insotitor_de_bord');


INSERT INTO airport.set_zile(idSet_zile, Zile_idZile) VALUES 
(1,1),(2,2),(3,3),(4,4),(5,5),(6,6),(7,7),(8,1),(8,3),(8,5),(9,2),(9,4),(10,6),(10,7),
(11,1),(11,2),(11,3),(11,4),(11,5),(11,6),(11,7);


INSERT INTO airport.set_staff(idSet_Staff, Staff_idStaff) VALUES
(1,1),(1,2),(1,3),(1,4),(2,5),(2,6),(2,7),(2,8),(3,9),(3,10),(3,11),(3,12),(4,13),(4,14),(4,15),(4,16),
(5,17),(5,18),(5,19),(5,20),(6,21),(6,22),(6,23),(6,24),(7,25),(7,26),(7,27),(7,28),(8,29),(8,30),
(8,31),(8,32),(9,33),(9,34),(9,35),(9,36),(10,37),(10,38),(10,39),(10,40),(11,41),(11,42),(11,43),
(11,44),(12,45),(12,46),(12,47),(12,48),(13,49),(13,50),(13,51),(13,52),(14,53),(14,54),(14,55),
(14,56),(15,57),(15,58),(15,59),(15,60),(16,61),(16,62),(16,63),(16,64),(17,65),(17,66),(17,67),
(17,68),(18,69),(18,70),(18,71),(18,72),(19,73),(19,74),(19,75),(19,76),(20,77),(20,78),(20,79),(20,80);

/*
## - Trigger AFTER INSERT tabela COMPANII AERIENE
DROP TRIGGER IF EXISTS adauga_destinatie_companie;

delimiter //

CREATE TRIGGER adauga_destinatie_companie AFTER INSERT ON destinatii
  FOR EACH ROW BEGIN
    INSERT INTO  companii_aeriene
    (idDestinatii, Denumire, Cod , Contacte) VALUES 
    (NEW.idDestinatii,'Air Moldova','9U', 0373525002);
  END; //

delimiter ;
*/

INSERT INTO airport.companii_aeriene(idCompanie, Denumire, Cod, idDestinatii, Contacte) VALUES 
(1,'Air Moldova', '9U',1, 037322525002),(1,'Air Moldova', '9U',2, 037322525002),
(1,'Air Moldova', '9U',3, 037322525002),(1,'Air Moldova', '9U',5, 037322525002),
(1,'Air Moldova', '9U',10, 037322525002),(1,'Air Moldova', '9U',11, 037322525002),
(1,'Air Moldova', '9U',12, 037322525002),(1,'Air Moldova', '9U',13, 037322525002),
(1,'Air Moldova', '9U',14, 037322525002),(1,'Air Moldova', '9U',15, 037322525002),
(1,'Air Moldova', '9U',18, 037322525002),(1,'Air Moldova', '9U',19, 037322525002),
(1,'Air Moldova', '9U',9, 037322525002),(1,'Air Moldova', '9U',7, 037322525002),
(1,'Air Moldova', '9U',8, 037322525002),(1,'Air Moldova', '9U',20, 037322525002),
(1,'Air Moldova', '9U',21, 037322525002),(1,'Air Moldova', '9U',22, 037322525002),
(1,'Air Moldova', '9U',25, 037322525002),(1,'Air Moldova', '9U',26, 037322525002),
(1,'Air Moldova', '9U',17, 037322525002),(1,'Air Moldova', '9U',4, 037322525002),
(1,'Air Moldova', '9U',27, 037322525002),(1,'Air Moldova', '9U',23, 037322525002),
(2,'Austrian Airlines', 'OS',28, 037322838838),(3,'Turkish Airlines', 'TK',1, 037322525095),
(3,'Turkish Airlines', 'TK',9, 037322525095),(4,'Tandem Aero', 'TQ',24, 037322525095),
(5,'S7 Airlines', 'S7',15, 037322811583),(6,'Tarom', 'RO',5, 037322272618),
(7,'Meridiana', 'IG',14, 037322525196),(7,'Meridiana', 'IG',25, 037322525196),
(7,'Meridiana', 'IG',4, 037322525196),(7,'Meridiana', 'IG',27, 037322525196),
(7,'Meridiana', 'IG',7, 037322525196),(8,'Lufthansa', 'LH',16, 037322525107),
(9,'Atlasjet', 'KK',1, 037322541241),(10,'Wizz Air', 'W6',19, 037322811505),
(10,'Wizz Air', 'W6',26, 037322811505),(11,'U Tair', 'UT',23, 037322811505),
(12,'Fly Dubai', 'FZ',6, 037322212153),(13,'Ukrainian Airlines', 'PS',10, 037322529272),
(14,'Aeroflot', 'SU',15, 037322811505),(15,'Euroflot', 'K2',29, 037322811505);

INSERT INTO airport.case_vanzare_bilete(idCase_vanzare_bilete, idCompanie, Telefon, Program) VALUES 
(1, 1, 037322525002, 'Lu-Du 04:00-20:00'),(2, 3, 037322525095, 'Lu-Vi 04:00-18:00, Sa-Du 09:00-17:00'),
(3, 4, 037322811583, 'Lu-Vi 08:00-17:00, Sa-Du 08:00-16:00'),(4, 2, 037322525107,'Lu-Du 09:00-17:00'),
(5, 7, 037322525107,'Lu-Du 09:00-17:00'),(6, 10, 037322811505, 'Lu-Du 08:00-20:00'),
(7, 9, 037322811505, 'Lu-Du 08:00-21:00');

INSERT INTO airport.orar(idOrar, idDestinatii, idCompanie, idZile, Nr_cursei_dus, 
Ora_decolare_Chisinau, Ora_aterizare_destinatie, Ora_decolare_destinatie, Ora_aterizare_Chisinau, 
Nr_cursei_intors, idAeronave, Set_Staff, Pret_dus, Pret_intors) VALUES
(1, 1 , 1, 5, '9U755','14:30','16:30','17:20','19:10','9U756', 1, 1, 145, 130),
(2, 2, 1, 7,'9U869','20:00','21:50','22:50','00:40','9U870', 1, 2, 140, 165),
(3, 3, 1, 8,'9U897','20:15','22:45','00:40','03:10','9U898', 1, 3, 200, 210),
(4, 4, 1, 8,'9U879','13:40','14:40','19:30','23:00','9U880', 2, 4, 115, 130),
(5, 4, 7, 9,'IG9879','17:30','18:40','21:50','01:20','IG9880', 2, 7, 120, 125),
(6, 4, 1, 10,'9U879','06:10','07:20','08:20','11:50','9U880', 2, 4, 125, 130),
(7, 5, 1, 8,'9U859','18:30','19:30','20:10','21:10','9U860', 1, 5, 90, 100),
(8, 5, 6, 9,'RO208','06:00','07:15','21:25','22:25','RO207', 3, 1, 85, 95),
(9, 5, 1, 10,'9U861','07:30','08:30','09:10','10:10','9U862', 1, 5, 95, 95),
(10, 6, 12, 7,'FZ790','15:45','22:45','11:40','15:00','FZ789', 5, 16, 160, 185),
(11, 6, 12, 3,'FZ790','14:40','21:40','09:45','13:05','FZ789', 5, 6, 160, 185),
(12, 7, 1, 5,'9U831','21:00','23:00','23:55','01:55','9U932', 2, 7, 130, 125),
(13, 8, 1, 8,'9U863','07:00','08:30','09:30','12:50','9U864', 1, 8, 120, 130),
(14, 8, 1, 9,'9U863','07:00','08:30','09:30','12:50','9U864', 1, 8, 120, 130),
(15, 8, 1, 10,'9U863','07:00','08:30','09:30','12:50','9U864', 2, 8, 125, 125),
(16, 9, 3, 8,'TK270','10:15','11:40','07:45','09:15','TK269', 6, 9, 125, 130),
(17, 9, 1, 9,'9U745','12:40','13:50','14:50','16:30','9U746', 8, 2, 120, 135),
(18, 9, 3, 10,'TK272','21:40','23:05','19:20','20:40','TK271', 5, 9, 125, 125),
(19, 10, 1, 11,'9U9898','07:10','08:15','19:35','20:50','9U9897', 4,10, 100, 110),
(20, 10, 13, 11,'PS9335','10:40','11:45','12:50','14:00','PS9336', 7, 11, 80, 90),
(21, 11, 1, 7,'9U873','06:40','09:00','09:40','12:00','9U874', 1, 1, 150, 150),
(22, 11, 1, 7,'9U873','07:10','09:30','10:20','12:40','9U874', 1, 3, 140, 160),
(23, 13, 1, 2,'9U833','06:00','07:00','08:00','13:00','9U834', 1, 3, 180, 185),
(24, 13, 1, 5,'9U833','21:20','22:30','00:10','05:10','9U834', 1, 2, 180, 185),
(25, 14, 1, 8,'9U893','12:30','13:50','14:50','18:20','9U894', 2, 12, 70, 70),
(26, 14, 7, 9,'IG9893','06:00','07:20','08:20','11:40','IG9894', 2, 3, 60, 65),
(27, 14, 1, 10,'9U893','12:30','13:50','14:50','18:20','9U894', 2, 12, 75, 70),
(28, 15, 5, 11,'S7158','13:20','16:30','11:20','12:30','S7157', 9, 13, 80, 80),
(29, 15, 1, 8,'9U171','13:40','16:30','17:35','18:45','9U172', 8, 14, 75, 95),
(30, 15, 1, 9,'9U171','13:40','16:30','17:35','18:45','9U172', 8, 4, 80, 90),
(31, 15, 5, 10,'S7154','09:05','12:15','13:30','12:55','S7155', 2, 7, 80, 85),
(32, 15, 14, 11,'SU1845','02:05','05:30','07:20','08:40','SU1846', 2, 9, 90, 65),
(33, 16, 8, 11,'LH1743','21:50','23:05','18:05','21:10','LH1742', 10, 13, 95, 95),
(34, 16, 8, 11,'LH1743','12:50','14:05','09:05','12:10','LH1742', 10, 15, 90, 100),
(35, 17, 1, 6,'9U141','19:40','02:40','04:20','09:50','9U142', 1, 1, 180, 165),
(36, 17, 1, 1,'9U141','19:40','02:40','04:20','09:50','9U142', 1, 1, 180, 165),
(37, 18, 1, 8,'9U883','07:00','09:00','10:00','13:50','9U884', 1, 6, 110, 120),
(38, 18, 1, 10,'9U883','04:00','06:00','07:00','10:50','9U884', 1, 6, 105, 115),
(39 ,19, 10, 11,'W63793','11:20','12:45','07:35','10:50','W3794', 2, 16, 100, 105),
(40, 19, 1, 9,'9U891','12:40','13:55','15:30','19:10','9U892', 2, 12, 90, 115),
(41, 20, 1, 6,'9U3451','05:50','09:00','09:50','13:00','9U3452', 2, 2, 200, 180),
(42, 21, 1, 7,'9U157','15:50','19:10','20:20','22:00','9U158', 4, 18, 115, 125),
(43, 22, 1, 11,'9U177','06:00','09:15','10:15','11:50','9U178', 1, 17, 130, 115),
(44, 22, 1, 9,'9U179','19:50','23:10','00:10','01:25','9U178', 1, 5, 125, 125),
(45, 22, 1, 2,'9U179','19:50','23:10','00:10','01:25','9U178', 1, 16, 125, 125),
(46, 23, 11, 1,'9U137','18:10','01:25','04:25','06:00','9U138', 1, 11, 210, 220),
(47, 23, 1, 3,'9U137','18:10','01:25','04:25','06:00','9U138', 1, 11, 225, 200),
(48, 24, 4, 4,'TQ4335','07:20','10:00','11:20','14:20','TQ4336', 2, 18, 120, 130),
(49, 24, 4, 7,'TQ4335','05:40','08:20','09:25','12:05','TQ4336', 2, 18, 115, 125),
(50, 25, 1, 2,'9U855','13:50','15:10','16:00','19:30','9U856', 1, 18, 90, 95),
(51, 25, 7, 6,'IG9855','13:50','15:10','16:00','19:30','IG9856', 1, 18, 85, 90),
(52, 26, 10, 9,'W63791','19:20','20:40','16:35','18:50','W63972', 2, 15, 110, 90),
(53, 26, 10, 10,'W63791','19:20','20:40','16:35','18:50','W63972', 2, 19, 110, 90),
(54, 26, 10, 8,'W63791','11:30','12:50','07:45','11:00','W63972', 2, 20, 105, 100),
(55, 27, 1, 1,'9U885','13:30','14:40','15:30','18:50','9U886', 1, 19, 105, 110),
(56, 27, 1,10,'9U885','13:30','14:40','15:30','18:50','9U886', 1, 14, 115, 90),
(57, 27, 7, 9,'IG9885','13:30','14:40','15:30','18:50','IG9886', 2, 14, 105, 110),
(58, 27, 7, 1,'IG9885','17:30','18:50','19:40','23:00','IG9886', 2, 14, 115, 95),
(59, 28, 2, 11,'OS658','15:55','16:45','12:40','15:15','OS657', 11, 17, 140, 125),
(60, 28, 2, 9,'OS658','04:40','05:30','22:20','01:10','OS657', 11, 19, 145, 110),
(61, 28, 2, 1,'OS658','04:40','05:30','22:20','01:10','OS657', 11, 19, 120, 135),
(62, 29, 15, 3,'LO5890','17:55','18:45','14:30','17:20','LO5889', 11, 20, 60, 75),
(63, 29, 15, 7,'LO5890','17:55','18:45','14:30','17:20','LO5889', 11, 20, 65, 70),
(64, 29, 15, 8,'K2516','14:45','15:35','11:20','14:10','K2515', 11, 16, 75, 60);

GRANT ALL PRIVILEGES ON airport.* TO 'airport'@'localhost' IDENTIFIED BY 'parola';
GRANT ALL PRIVILEGES ON airport.* TO 'airport'@'%' IDENTIFIED BY 'parola';
FLUSH PRIVILEGES;
